Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class MasterType

    java.lang.Object
      com.sun.mdm.index.parser.MasterType

public class MasterType
extends java.lang.Object

Nested Class Summary
`(package private) class` | `MasterType.DecisionMakerConfig`
`(package private) class` | `MasterType.EuidGeneratorConfig`
`(package private) class` | `MasterType.MasterControllerConfig`

Field Summary
`static java.lang.String` | `CHECKSUMLENGTH`
`static java.lang.String` | `CHUNKSIZE`
`static java.lang.String` | `DUPLICATETHRESHOLD`
`static java.lang.String` | `IDLENGTH`
`static java.lang.String` | `MATCHTHRESHOLD`
`MasterType.DecisionMakerConfig` | `mDecisionMakerConfig`
`MasterType.EuidGeneratorConfig` | `mEuidGeneratorConfig`
`MasterType.MasterControllerConfig` | `mMasterControllerConfig`
`static java.lang.String` | `ONEEXACTMATCH`
`static java.lang.String` | `SAMESYSTEMMATCH`

Constructor Summary
`MasterType()`

Method Summary
`java.lang.String` | `getDecisionMakerClass()`
`Utils.Parameter` | `getDecisionMakerConfigParameterByName(java.lang.String name)`
`java.lang.String` | `getEuidGeneratorClass()`
`Utils.Parameter` | `getEuidGeneratorConfigParameterByName(java.lang.String name)`
`java.lang.String` | `getExecuteMatchQueryBuilderName()`
`java.lang.String` | `getTransaction()`
`java.lang.String` | `getXMLString()` return XML String for this MasterType
`boolean` | `isModified()`
`(package private) void` | `parse(org.w3c.dom.Node node)` parse
`void` | `setModified(boolean flag)`
`void` | `setTransaction(java.lang.String transaction)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHECKSUMLENGTH

    public static java.lang.String CHECKSUMLENGTH

### CHUNKSIZE

    public static java.lang.String CHUNKSIZE

### DUPLICATETHRESHOLD

    public static java.lang.String DUPLICATETHRESHOLD

### IDLENGTH

    public static java.lang.String IDLENGTH

### MATCHTHRESHOLD

    public static java.lang.String MATCHTHRESHOLD

### mDecisionMakerConfig

    public MasterType.DecisionMakerConfig mDecisionMakerConfig

### mEuidGeneratorConfig

    public MasterType.EuidGeneratorConfig mEuidGeneratorConfig

### mMasterControllerConfig

    public MasterType.MasterControllerConfig mMasterControllerConfig

### ONEEXACTMATCH

    public static java.lang.String ONEEXACTMATCH

### SAMESYSTEMMATCH

    public static java.lang.String SAMESYSTEMMATCH

Constructor Detail

### MasterType

    public MasterType()

Method Detail

### getDecisionMakerClass

    public java.lang.String getDecisionMakerClass()

  Returns:
    String DecisionMakerConfig.mDecisionMakerClass

### getDecisionMakerConfigParameterByName

    public Utils.Parameter getDecisionMakerConfigParameterByName(java.lang.String name)

  Returns:
    Utils.Parameter

### getEuidGeneratorClass

    public java.lang.String getEuidGeneratorClass()

  Returns:
    String DecisionMakerConfig.EuidGeneratorConfig.mEuidGeneratorClass

### getEuidGeneratorConfigParameterByName

    public Utils.Parameter getEuidGeneratorConfigParameterByName(java.lang.String name)

  Returns:
    Utils.Parameter

### getExecuteMatchQueryBuilderName

    public java.lang.String getExecuteMatchQueryBuilderName()

### getTransaction

    public java.lang.String getTransaction()

### getXMLString

    public java.lang.String getXMLString()

  return XML String for this MasterType

### isModified

    public boolean isModified()

  Returns:
    boolean flag

### parse

    void parse(org.w3c.dom.Node node)

  parse

  Parameters:
    `node` - Node

### setModified

    public void setModified(boolean flag)

### setTransaction

    public void setTransaction(java.lang.String transaction)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.